Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPiecewiseFunctionShiftScale Class Reference

`#include <vtkPiecewiseFunctionShiftScale.h>`

Inheritance diagram for vtkPiecewiseFunctionShiftScale:

[legend]
Collaboration diagram for vtkPiecewiseFunctionShiftScale:

[legend]
List of all members.

## Detailed Description

Date:
  2002/10/04 20:43:44

Revision:
  1.3

Created by:
  - Henderson, Amy

CVS contributions (if > 5%):
  - Henderson, Amy (92%)
  - Cedilnik, Andy (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkPiecewiseFunctionShiftScale.cxx)`
  - .`h` (`/Filtering/vtkPiecewiseFunctionShiftScale.h)`

Definition at line 43 of file vtkPiecewiseFunctionShiftScale.h.

## Public Types
typedef vtkPiecewiseFunctionToPiecewiseFunctionFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetPositionShift (float)
virtual void | SetPositionScale (float)
virtual void | SetValueShift (float)
virtual void | SetValueScale (float)
virtual float | GetPositionShift ()
virtual float | GetPositionScale ()
virtual float | GetValueShift ()
virtual float | GetValueScale ()
## Static Public Methods
vtkPiecewiseFunctionShiftScale * | New ()
int | IsTypeOf (const char *type)
vtkPiecewiseFunctionShiftScale * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPiecewiseFunctionShiftScale ()
| ~vtkPiecewiseFunctionShiftScale ()
void | Execute ()
## Protected Attributes
vtkPiecewiseFunction * | Input
float | PositionShift
float | PositionScale
float | ValueShift
float | ValueScale

## Member Typedef Documentation

typedef vtkPiecewiseFunctionToPiecewiseFunctionFilter vtkPiecewiseFunctionShiftScale::Superclass

| Reimplemented from vtkPiecewiseFunctionToPiecewiseFunctionFilter. Definition at line 47 of file vtkPiecewiseFunctionShiftScale.h.

## Constructor & Destructor Documentation

vtkPiecewiseFunctionShiftScale::vtkPiecewiseFunctionShiftScale | ( |  | ) | `[protected]`

vtkPiecewiseFunctionShiftScale::~vtkPiecewiseFunctionShiftScale | ( |  | ) | `[protected]`

## Member Function Documentation

vtkPiecewiseFunctionShiftScale* vtkPiecewiseFunctionShiftScale::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkPiecewiseFunctionShiftScale::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPiecewiseFunctionToPiecewiseFunctionFilter.

int vtkPiecewiseFunctionShiftScale::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPiecewiseFunctionToPiecewiseFunctionFilter.

virtual int vtkPiecewiseFunctionShiftScale::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPiecewiseFunctionToPiecewiseFunctionFilter.

vtkPiecewiseFunctionShiftScale* vtkPiecewiseFunctionShiftScale::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPiecewiseFunctionToPiecewiseFunctionFilter.

void vtkPiecewiseFunctionShiftScale::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPiecewiseFunctionToPiecewiseFunctionFilter.

virtual void vtkPiecewiseFunctionShiftScale::SetPositionShift | ( | float |  | ) | `[virtual]`

virtual void vtkPiecewiseFunctionShiftScale::SetPositionScale | ( | float |  | ) | `[virtual]`

virtual void vtkPiecewiseFunctionShiftScale::SetValueShift | ( | float |  | ) | `[virtual]`

virtual void vtkPiecewiseFunctionShiftScale::SetValueScale | ( | float |  | ) | `[virtual]`

virtual float vtkPiecewiseFunctionShiftScale::GetPositionShift | ( |  | ) | `[virtual]`

virtual float vtkPiecewiseFunctionShiftScale::GetPositionScale | ( |  | ) | `[virtual]`

virtual float vtkPiecewiseFunctionShiftScale::GetValueShift | ( |  | ) | `[virtual]`

virtual float vtkPiecewiseFunctionShiftScale::GetValueScale | ( |  | ) | `[virtual]`

void vtkPiecewiseFunctionShiftScale::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

vtkPiecewiseFunction* vtkPiecewiseFunctionShiftScale::Input`[protected]`

| Definition at line 66 of file vtkPiecewiseFunctionShiftScale.h.

float vtkPiecewiseFunctionShiftScale::PositionShift`[protected]`

| Definition at line 68 of file vtkPiecewiseFunctionShiftScale.h.

float vtkPiecewiseFunctionShiftScale::PositionScale`[protected]`

| Definition at line 69 of file vtkPiecewiseFunctionShiftScale.h.

float vtkPiecewiseFunctionShiftScale::ValueShift`[protected]`

| Definition at line 70 of file vtkPiecewiseFunctionShiftScale.h.

float vtkPiecewiseFunctionShiftScale::ValueScale`[protected]`

| Definition at line 71 of file vtkPiecewiseFunctionShiftScale.h.

The documentation for this class was generated from the following file:

- Filtering/vtkPiecewiseFunctionShiftScale.h